<?php 
    $wp_customize->add_section(
        'about_section',
        array(
            'title' => __( 'About Section', 'Luzuk' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_section_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_section_disable',
            array(
                'settings'      => 'about_section_disable',
                'section'       => 'about_section',
                'label'         => __( 'Disable Section', 'Luzuk' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'Luzuk' ),
                    'off' => __( 'No', 'Luzuk' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'about', 'about_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'AboutDoctorSectionPadding', 'about_section', 'Section Padding');

$wp_customize->add_setting(
    'aboutTpadding', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'aboutTpadding',
    array(
        'settings'      => 'aboutTpadding',
        'section'       => 'about_section',
        'type'          => 'text',
        'label'         => __( 'Top', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'aboutBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'aboutBpadding',
    array(
        'settings'      => 'aboutBpadding',
        'section'       => 'about_section',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'Luzuk' )
    )
);
lzCustomLable($wp_customize, 'about_section_animg', 'about_section', 'Animated Setting');

// animation image
$wp_customize->add_setting( 'abtplse_img_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'abtplse_img_display', array( 'label' => 'Animated Image', 'section' => 'about_section', 'settings' => 'abtplse_img_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) );


//section Image

$wp_customize->add_setting(
        'about_image5_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image5_heading',
        array(
            'settings'      => 'about_image5_heading',
            'section'       => 'about_section',
            'label'         => __( 'Section Image', 'luzuk-premium' ),
        )
    )
);


$wp_customize->add_setting(
    'about_image5',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image5',
        array(
            'section' => 'about_section',
            'settings' => 'about_image5',
            'description' => __('Recommended Image Size: 450X450px', 'luzuk-premium')
        )
    )
);

addColorPalatOption($wp_customize, 'about_imgbrdClr1', 'about_section', 'Section Image Border Color One', '#ec4c12');

addColorPalatOption($wp_customize, 'about_imgbrdClr2', 'about_section', 'Section Image Border Color Two', '#fff');

addColorPalatOption($wp_customize, 'about_starimgClr', 'about_section', 'Section Star Animated Color', '#ec4c12'); 

lzCustomLable($wp_customize, 'AboutSectiontitle', 'about_section', 'Section Heading & Sub Heading');

$wp_customize->add_setting(
        'about_subtitle',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'ABOUT US', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'about_subtitle',
        array(
            'settings'      => 'about_subtitle',
            'section'       => 'about_section',
            'type'          => 'text',
            'label'         => __( 'Section Sub Heading', 'Luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'about_subheadClr', 'about_section', 'Section Sub Heading Color', '#1d62b8');


$wp_customize->add_setting(
        'about_title',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'WE ARE CYCLIST AT HEART', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'about_title',
        array(
            'settings'      => 'about_title',
            'section'       => 'about_section',
            'type'          => 'text',
            'label'         => __( 'Section Heading', 'Luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'about_headClr', 'about_section', 'Section Heading Color', '#303030');

$wp_customize->add_setting(
        'about_title2',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'THAT MEANS YOU CARE ABOUT YOUR CYCLE, AND SO DO WE', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'about_title2',
        array(
            'settings'      => 'about_title2',
            'section'       => 'about_section',
            'type'          => 'textarea',
            'label'         => __( 'Section Title', 'Luzuk' )
        )
    );
    
addColorPalatOption($wp_customize, 'about_titleClr', 'about_section', 'Section Title Color', '#2f2f2f');


$wp_customize->add_setting(
        'about_content',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Quis ipsum suspendisse ultrices gravida. Risus commodo viverra maecenas accumsan lacus vel facilisis. Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Quis ipsum suspendisse ultrices gravida. Risus commodo viverra maecenas accumsan lacus vel facilisis.', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'about_content',
        array(
            'settings'      => 'about_content',
            'section'       => 'about_section',
            'type'          => 'textarea',
            'label'         => __( 'Section Content', 'Luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'about_ContentClr', 'about_section', 'Section Content Color', '#ababab');

$wp_customize->add_setting('aboutus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'aboutus_npp_heading',
        array(
            'settings'      => 'aboutus_npp_heading',
            'section'       => 'about_section',
            'label'         => __( 'Number Of About Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('aboutus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 1));
$wp_customize->add_control(
    'aboutus_npp_count',
    array(
        'settings'      => 'aboutus_npp_count',
        'section'       => 'about_section',
        'type'          => 'select',
        'label'         => __( 'Number Of About Plan To Show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

//ABOUT PAGES
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'aboutus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'aboutus_header'.$i,
            array(
                'settings'      => 'aboutus_header'.$i,
                'section'       => 'about_section',
                'label'         => __( 'About Page ', 'luzuk-premium' ).$i
            )
        )
    );

    // lzAddImageElement($wp_customize, 'aboutus_page_icon'.$i, 'about_section', $label="Recommended Image Size: 150X150px");

     $wp_customize->add_setting(
        'aboutus_page_icon'.$i,
        array(
            'default'           => 'fa fa-clock-o',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'aboutus_page_icon'.$i,
            array(
                'settings'      => 'aboutus_page_icon'.$i,
                'section'       => 'about_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'aboutus_page_title'.$i, 'about_section', $type = 'text', $label="Box Title", $callback ='luzuk_sanitize_text', $default='24 / 7 SERVICE');

lzAddElement($wp_customize, 'aboutus_page_text'.$i, 'about_section', $type = 'textarea', $label="Box Text", $callback ='luzuk_sanitize_text', $default='Lorem ipsum dolor sit amet, consectetur');

}

lzCustomLable($wp_customize, 'abt_secclr', 'about_section', 'Section Colors');

addColorPalatOption($wp_customize, 'about_ibgclr', 'about_section', 'Section Box BG Color ', '#fff');
addColorPalatOption($wp_customize, 'about_icnclr', 'about_section', 'Section Box Icon Color ', '#1d62b8');
addColorPalatOption($wp_customize, 'about_titleclr', 'about_section', 'Section Box Title Color ', '#000');
addColorPalatOption($wp_customize, 'about_txtclr', 'about_section', 'Section Box Text Color ', '#bebebe');

lzCustomLable($wp_customize, 'buttontextsettings', 'about_section', 'Button Text, Button Link & Its Colors');

// button
$wp_customize->add_setting( 'about_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'about_button_display', array( 'label' => 'About Button Display', 'section' => 'about_section', 'settings' => 'about_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) );

$wp_customize->add_setting(
        'about_button1',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'READ MORE', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'about_button1',
        array(
            'settings'      => 'about_button1',
            'section'       => 'about_section',
            'type'          => 'text',
            'label'         => __( 'Add Button Text Here', 'Luzuk' )
        )
    );
$wp_customize->add_setting('about_link',   array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('about_link',
    array(
        'settings'      => 'about_link',
        'section'       => 'about_section',
        'type'          => 'url',
        'label'         => __( 'Add Link For Button', 'Luzuk' )
    )
);    

addColorPalatOption($wp_customize, 'about_btntxtclr', 'about_section', 'Section Button Text Color ', '#fff');

addColorPalatOption($wp_customize, 'about_btntxthvclr', 'about_section', 'Section Button Text Hover Color ', '#000');

addColorPalatOption($wp_customize, 'about_btnbgclr1', 'about_section', 'Section Button BG Color', '#1d62b8');

addColorPalatOption($wp_customize, 'about_btnbgclrhv1', 'about_section', 'Section Button BG Hover Color', '#68a9fd');

// end to show & hide button
